NAME
OpenAPI::Client::OpenAI::Path::videos-video_id - Documentation for the /videos/{video_id} path.
OPERATIONS
DELETE /videos/{video_id}
DeleteVideo
$client->delete_video({
body => { ... },
});
Permanently delete a completed or failed video and its stored assets.
Path/query parameters
video_id(in path, required, string) - The identifier of the video to delete.
Responses
200 - Success
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "video.deleted"
}
GET /videos/{video_id}
GetVideo
$client->get_video({
body => { ... },
});
Fetch the latest metadata for a generated video.
Path/query parameters
video_id(in path, required, string) - The identifier of the video to retrieve.
Responses
200 - Success
Content-Type: application/json
Example:
{
"completed_at" : 0,
"created_at" : 0,
"error" : {
"code" : "string",
"message" : "string"
},
"expires_at" : 0,
"id" : "string",
"model" : null,
"object" : "video",
"progress" : 0,
"prompt" : "string",
"remixed_from_video_id" : "string",
"seconds" : "string",
"size" : null,
"status" : null
}
SCHEMAS
DeletedVideoResource
Properties:
deleted(boolean, required) - Indicates that the video resource was deleted.id(string, required) - Identifier of the deleted video.object(string, required) - The object type that signals the deletion response.Allowed values: video.deleted
Default: video.deleted
VideoModel
See https://platform.openai.com/docs/api-reference for details.
VideoResource
Properties:
completed_at(anyOf, required)created_at(integer, required) - Unix timestamp (seconds) for when the job was created.error(anyOf, required)expires_at(anyOf, required)id(string, required) - Unique identifier for the video job.model(VideoModel, required) - The video generation model that produced the job.See "VideoModel" below for shape.
object(string, required) - The object type, which is alwaysvideo.Allowed values: video
Default: video
progress(integer, required) - Approximate completion percentage for the generation task.prompt(anyOf, required)remixed_from_video_id(anyOf, required)seconds(string, required) - Duration of the generated clip in seconds. For extensions, this is the stitched total duration.size(VideoSize, required) - The resolution of the generated video.See "VideoSize" below for shape.
status(VideoStatus, required) - Current lifecycle status of the video job.See "VideoStatus" below for shape.
VideoSize
See https://platform.openai.com/docs/api-reference for details.
VideoStatus
See https://platform.openai.com/docs/api-reference for details.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.